ComponentType (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Enum ComponentType

    java.lang.Object
      java.lang.Enum<ComponentType>
          org.gcube.portlets.d4sreporting.common.shared.ComponentType

All Implemented Interfaces:
  Serializable, Comparable<ComponentType>

    public enum ComponentType

extends Enum<ComponentType>

Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Enum Constant Summary
`ATTRIBUTE`
`ATTRIBUTE_MULTI`
`ATTRIBUTE_UNIQUE`
`BIBLIO`
`BODY`
`COMMENT`
`DYNA_IMAGE`
`FAKE_TEXTAREA`
`FLEX_TABLE`
`HEADING_1`
`HEADING_2`
`HEADING_3`
`HEADING_4`
`HEADING_5`
`IMAGE`
`INSTRUCTION`
`PAGEBREAK`
`REPEAT_SEQUENCE`
`REPEAT_SEQUENCE_DELIMITER`
`REPEAT_SEQUENCE_INNER`
`STATIC_IMAGE`
`TIME_SERIES`
`TITLE`
`TOC`

Method Summary
`static ComponentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComponentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOC

    public static final ComponentType TOC

### BIBLIO

    public static final ComponentType BIBLIO

### IMAGE

    public static final ComponentType IMAGE

### FAKE_TEXTAREA

    public static final ComponentType FAKE_TEXTAREA

### STATIC_IMAGE

    public static final ComponentType STATIC_IMAGE

### DYNA_IMAGE

    public static final ComponentType DYNA_IMAGE

### TITLE

    public static final ComponentType TITLE

### BODY

    public static final ComponentType BODY

### HEADING_1

    public static final ComponentType HEADING_1

### HEADING_2

    public static final ComponentType HEADING_2

### HEADING_3

    public static final ComponentType HEADING_3

### HEADING_4

    public static final ComponentType HEADING_4

### HEADING_5

    public static final ComponentType HEADING_5

### COMMENT

    public static final ComponentType COMMENT

### ATTRIBUTE_MULTI

    public static final ComponentType ATTRIBUTE_MULTI

### ATTRIBUTE_UNIQUE

    public static final ComponentType ATTRIBUTE_UNIQUE

### ATTRIBUTE

    public static final ComponentType ATTRIBUTE

### INSTRUCTION

    public static final ComponentType INSTRUCTION

### TIME_SERIES

    public static final ComponentType TIME_SERIES

### FLEX_TABLE

    public static final ComponentType FLEX_TABLE

### REPEAT_SEQUENCE

    public static final ComponentType REPEAT_SEQUENCE

### REPEAT_SEQUENCE_DELIMITER

    public static final ComponentType REPEAT_SEQUENCE_DELIMITER

### REPEAT_SEQUENCE_INNER

    public static final ComponentType REPEAT_SEQUENCE_INNER

### PAGEBREAK

    public static final ComponentType PAGEBREAK

Method Detail

### values

    public static ComponentType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ComponentType c : ComponentType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ComponentType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.